
function countdown(time) {
  if(time > 0){
    setTimeout(function () {
      // 放在最后--
      time -= 10;
      countdown(time);
    }, 10);
    return dateformat(time)
  }else{
    return false;
  }
  
}

function dateformat(micro_second) {
  // 总秒数
  var second = Math.floor(micro_second / 1000);
  // 天数
  var day = Math.floor(second / 3600 / 24);
  // 总小时
  var hr = Math.floor(second / 3600);
  // 小时位
  var hr2 = hr % 24;
  // 分钟位
  var min = Math.floor((second - hr * 3600) / 60);
  // 秒位
  var sec = second - hr * 3600 - min * 60; // equal to => var sec = second % 60;
  // 毫秒位，保留2位
  // var micro_sec = Math.floor((micro_second % 1000) / 10);
  return ( day + " " + "天" + " " + hr2 + " " + "时" + " " + min + " "+ "分" + " " + sec + " "+ "秒" );
}
module.exports = {
  countdown,
  dateformat
};
